## deepin-anything-arch-5.0.9-30.src.tar.gz

=== library/Makefile ===
CC := gcc
CFLAGS := -std=gnu99 -Wall -Wl,--no-undefined -Iinc -Iinc/index -shared -fPIC -fvisibility=hidden
LDFLAG := -lpthread

all: release debug

release: bin/release/libanything.so

bin/release/libanything.so: src/*.c src/index/*.c
	mkdir -p bin/release
	rm bin/release/*.so*||true
	$(CC) $(CFLAGS) -O3 -Wl,-soname,$(shell basename $@).1.0.0 $^ -o $@.1.0.0 $(LDFLAG)
	ln -s $(shell basename $@).1.0.0 $@.1.0
	ln -s $(shell basename $@).1.0.0 $@.1
	ln -s $(shell basename $@).1.0.0 $@

debug: bin/debug/libanything.so

bin/debug/libanything.so: src/*.c src/index/*.c
	mkdir -p bin/debug
	rm bin/debug/*.so*||true
	$(CC) $(CFLAGS) -g -DIDX_DEBUG -Wl,-soname,$(shell basename $@).1.0.0 $^ -o $@.1.0.0 $(LDFLAG)
	ln -s $(shell basename $@).1.0.0 $@.1.0
	ln -s $(shell basename $@).1.0.0 $@.1
	ln -s $(shell basename $@).1.0.0 $@

clean:
	-rm -rf bin

.PHONY: all release debug clean

=== debian/changelog ===
deepin-anything (20180315+1) unstable; urgency=medium

  * Initial release.

 -- Deepin Package Builder <packages@deepin.com>  Tue, 20 Mar 2018 11:46:47 +0800

=== PKGBUILD ===
# Maintainer: Felix Yan <felixonmars@archlinux.org>

pkgname=deepin-anything-arch
pkgver=5.0.9
pkgrel=30
pkgdesc="Deepin Anything file search tool, kernel module for Arch kernel"
arch=('x86_64')
url="https://github.com/linuxdeepin/deepin-anything"
license=('GPL3')
makedepends=('linux-headers')
provides=('DEEPIN-ANYTHING-MODULE')
replaces=('deepin-anything-module')
source=("https://github.com/linuxdeepin/deepin-anything/archive/$pkgver/deepin-anything-$pkgver.tar.gz")
sha512sums=('d7038f900c7f6cf2af156ced0fab6bcd46bff347011acc34b5d355ae8f09efe3f323724b728fbfe9c8b961e238ceb7c81aaf45f2e446b5d9ce908e8c0a658c5b')

build() {
  cd deepin-anything-$pkgver
  make -C kernelmod kdir=/usr/src/linux
}

package() {
  depends=('linux')

  cd deepin-anything-$pkgver
  local extradir=/usr/lib/modules/$(</usr/src/linux/version)/extramodules
  install -Dt "$pkgdir$extradir" -m644 kernelmod/*.ko
  find "$pkgdir" -name '*.ko' -exec strip --strip-debug {} +
  find "$pkgdir" -name '*.ko' -exec xz {} +
}

=== debian/control ===
Source: deepin-anything
Section: admin
Priority: optional
Maintainer: Deepin Package Builder <packages@deepin.com>
Build-Depends: debhelper (>= 9), dkms, dh-systemd, qtbase5-dev,
 pkg-config, libudisks2-qt5-dev, libmount-dev, libdtkcore-dev
Standards-Version: 3.9.8
Homepage: http://github.com/linuxdeepin/deepin-anything

Package: deepin-anything-libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: anything library
 anything library package

Package: deepin-anything-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 deepin-anything-libs( =${binary:Version}),
Description: anything user interface library
 anything library developer package.

Package: deepin-anything-dkms
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, dkms
Description: anything module
 anything kernel module package

Package: deepin-anything-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, deepin-anything-dkms
Description: anything server application and lib
 anything server package

Package: deepin-anything-server-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 deepin-anything-server( =${binary:Version}),
Description: anything server user interface library
 anything server library developer package.
